Package voltage.core

# Enum Class VoltageCurve.ControlPt1EditType

java.lang.Object
java.lang.Enum<VoltageCurve.ControlPt1EditType>
voltage.core.VoltageCurve.ControlPt1EditType

All Implemented Interfaces:
  `Serializable`, `Comparable<VoltageCurve.ControlPt1EditType>`, `Constable`

Enclosing class:
  `VoltageCurve`

public static enum VoltageCurve.ControlPt1EditType extends Enum<VoltageCurve.ControlPt1EditType>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BothXAndYEditable`
  `XMirrorsY`
  `YMirrorsX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoltageCurve.ControlPt1EditType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VoltageCurve.ControlPt1EditType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BothXAndYEditable

    public static final VoltageCurve.ControlPt1EditType BothXAndYEditable

  - ### XMirrorsY

    public static final VoltageCurve.ControlPt1EditType XMirrorsY

  - ### YMirrorsX

    public static final VoltageCurve.ControlPt1EditType YMirrorsX

- ## Method Details

  - ### values

    public static VoltageCurve.ControlPt1EditType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VoltageCurve.ControlPt1EditType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null